---
title: Bannières
subtitle: En utilisant une ou plusieurs images
date: 2022-03-01
tags: ["exemple", "images"]
bigimg: [{src: "/img/triangle.jpg"}, {src: "/img/sphere.jpg"}, {src: "/img/hexagon.jpg"}]
---

La bannière en haut de cette page est dénommée « _bigimg_ ».
Elle est déclarée dans l'en-tête.
Elle est optionnelle, et peut comporter une image ou davantage.
Si plusieurs images sont déclarées dans une bannière, elles défilent toutes les 10 secondes.

<!--more-->

Une seule image est déclarée en tant que bannière de la manière suivante :
```
bigimg: [{src: "/img/triangle.jpg"}]
```

Il est possible d'assortir une description à chaque image :
```
bigimg: [{src: "/img/triangle.jpg", desc: "Triangle"}]
```

Plusieurs images peuvent être déclarées dans l'en tête.
Cela se fait de la manière suivante :
```
bigimg: [{src: "/img/triangle.jpg", desc: "Triangle"},
         {src: "/img/sphere.jpg", desc: "Sphere"},
         {src: "/img/hexagon.jpg", desc: "Hexagon"}]
```

Les descriptions étant optionnelles, on peut aussi déclarer les images de cette manière :
```
bigimg: [{src: "/img/triangle.jpg"},
         {src: "/img/sphere.jpg"},
         {src: "/img/hexagon.jpg"}]
```

Alternativement, la syntaxe suivante est aussi admise :
```
bigimg:
- {src: "/img/triangle.jpg", desc: "Triangle"}
- {src: "/img/sphere.jpg", desc: "Sphere"}
- {src: "/img/hexagon.jpg", desc: "Hexagon"}
```

À titre d'information, la syntaxe spécifique utilisé dans l'en-tête de chaque fichier se nomme [YAML](https://fr.wikipedia.org/wiki/YAML).
Elle est spécifique aux fichiers d'en-tête et de configuration.
Elle est à distinguer de la syntaxe markdown [abordée précédemment]({{< ref "syntaxe-markdown.md" >}}).
